﻿CREATE PROCEDURE AddClient
	@CustomerName NVarChar(max),
   @PurchaseDate DateTime,
   @Amount       Decimal(18,2)
AS
   /* Determine whether the customer already exists. */
   SELECT COUNT(CustomerName) FROM Customers WHERE CustomerName=@CustomerName

   /* When @@ROWCOUNT equals 0, the customer doesn't exist.
      The call to INSERT INTO will add the customer. */
   IF @@ROWCOUNT = 0
   BEGIN
	   INSERT INTO Customers (CustomerName)
	   VALUES ('Josh Bailey')
   END

   /* Obtain the customer's Id value for use in adding a new record to the
      Purchases table. */
   DECLARE @CustId Int
   SET @CustId = (SELECT Id FROM Customers WHERE CustomerName=@CustomerName)

   /* Perform the insertion. */
   INSERT INTO Purchases (CustomersId, Amount, PurchaseDate)
   VALUES (@CustId, @Amount, @PurchaseDate)
