﻿CREATE PROCEDURE DeleteClient
   @PurchaseId int
AS
   /* Obtain and save the customer's Id */
   DECLARE @CustId Int
   SET @CustId = (SELECT CustomersId FROM Purchases WHERE Id=@PurchaseId)

   /* Verify that the purchase exists. */
   IF @CustId IS NULL
   BEGIN
      RETURN -1
   END

   /* Delete the purchase from the database. */
   DELETE FROM Purchases WHERE Id=@PurchaseId

   /* Verify there are purchase records left for this
      customer */
   DECLARE @PurchaseCount Int
   SET @PurchaseCount = (SELECT COUNT(*) FROM Purchases WHERE CustomersId=@CustId)

   /* If there are no purchase records left, delete
      the customer record as well */
   IF @PurchaseCount < 1
   BEGIN
      DELETE FROM Customers WHERE Id=@CustId
   END

   /* Return a success value */
   RETURN 0